Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_OS_Object_Manager_Manager Class Reference

Ensure that the <ACE_OS_Object_Manager> gets initialized at program startup, and destroyed at program termination. More...

List of all members.

## Public Methods
| ACE_OS_Object_Manager_Manager (void)
| Constructor.
| ~ACE_OS_Object_Manager_Manager (void)
| Destructor.
## Private Attributes
ACE_thread_t | saved_main_thread_id_
| Save the main thread ID, so that destruction can be suppressed.

## Detailed Description

Ensure that the <ACE_OS_Object_Manager> gets initialized at program startup, and destroyed at program termination.

Without ACE_HAS_NONSTATIC_OBJECT_MANAGER, a static instance of this class is created. Therefore, it gets created before main () is called. And it gets destroyed after main () returns.

## Constructor & Destructor Documentation

ACE_OS_Object_Manager_Manager::ACE_OS_Object_Manager_Manager | ( | void |  | ) |

| Constructor.

ACE_OS_Object_Manager_Manager::~ACE_OS_Object_Manager_Manager | ( | void |  | ) |

| Destructor.

## Member Data Documentation

ACE_thread_t ACE_OS_Object_Manager_Manager::saved_main_thread_id_`[private]`

| Save the main thread ID, so that destruction can be suppressed.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Object_Manager_Base.cpp